## ros-indigo-pr2-gazebo-plugins 2.0.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(pr2_gazebo_plugins)

add_definitions(-fPIC)

# catkin dependencies
find_package(catkin
  REQUIRED COMPONENTS 
    angles
    cv_bridge
    diagnostic_msgs
    diagnostic_updater
    gazebo_msgs
    gazebo_plugins
    geometry_msgs
    image_transport
    message_generation 
    nav_msgs
    polled_camera
    pr2_controller_manager
    pr2_hardware_interface
    pr2_mechanism_model
    pr2_msgs
    roscpp
    rospy
    sensor_msgs
    std_msgs
    std_srvs 
    urdf
  #  pcl_ros
  #  pcl_conversions
)

# Generate msgs and srvs
add_message_files(
  DIRECTORY msg
  FILES
    PlugCommand.msg
    ModelJointsState.msg
)

add_service_files(
  DIRECTORY srv FILES
    SetModelsJointsStates.srv
)

generate_messages(
  DEPENDENCIES
    std_msgs
    nav_msgs
    sensor_msgs
    pr2_msgs
    geometry_msgs
    diagnostic_msgs
)

# declare catkin_package
catkin_package(
  INCLUDE_DIRS include
  CATKIN_DEPENDS 
    message_runtime
    message_generation
    roscpp 
    rospy 
    angles 
    std_msgs
    nav_msgs
    sensor_msgs
    pr2_msgs
    geometry_msgs
    diagnostic_msgs
    gazebo_msgs
    urdf 
    tf 
    driver_base 
    image_transport 
  DEPENDS 
    gazebo 
    SDF
    orocos_kdl
  LIBRARIES
    gazebo_ros_controller_manager
    gazebo_ros_power_monitor
)

# system dependencies
include (FindPkgConfig)
if (PKG_CONFIG_FOUND)
  pkg_check_modules(XML libxml-2.0)
  pkg_check_modules(OGRE OGRE)
  pkg_check_modules(OGRE-Terrain OGRE-Terrain)
else()
  message(FATAL_ERROR "pkg-config is required; please install it")
endif()

# Depend on system install of Gazebo and SDFormat
find_package(gazebo REQUIRED)
#find_package(PCL REQUIRED)
find_package(Boost REQUIRED COMPONENTS thread)
find_package(orocos_kdl)

include_directories(include
  ${Boost_INCLUDE_DIRS}
  ${catkin_INCLUDE_DIRS}
  ${GAZEBO_INCLUDE_DIRS}
  ${OGRE_INCLUDE_DIRS}
  ${OGRE-Terrain_INCLUDE_DIRS}
)

link_directories(
  ${GAZEBO_LIBRARY_DIRS}
  ${orocos_kdl_LIBRARY_DIRS}
)

# Gazebo ogre path setup
execute_process(COMMAND
  pkg-config --variable=plugindir OGRE
  OUTPUT_VARIABLE OGRE_PLUGIN_PATH
  OUTPUT_STRIP_TRAILING_WHITESPACE
)

# build libraries
add_library(gazebo_ros_controller_manager src/gazebo_ros_controller_manager.cpp)
add_dependencies(gazebo_ros_controller_manager
  ${PROJECT_NAME}_gencfg
  ${PROJECT_NAME}_generate_messages_cpp)
target_link_libraries(gazebo_ros_controller_manager ${catkin_LIBRARIES} ${Boost_LIBRARIES})

add_library(gazebo_ros_power_monitor src/gazebo_ros_power_monitor.cpp)
add_dependencies(gazebo_ros_power_monitor
  ${PROJECT_NAME}_gencfg
  ${PROJECT_NAME}_generate_messages_cpp)
target_link_libraries(gazebo_ros_power_monitor ${catkin_LIBRARIES} ${Boost_LIBRARIES})

# install libraries
install(
  TARGETS 
    gazebo_ros_controller_manager
    gazebo_ros_power_monitor
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

# test for glx presence for testing
exec_program("glxinfo" OUTPUT_VARIABLE glx_out RETURN_VALUE glx_val)
if(${glx_val} EQUAL 0)
  message(STATUS "run test here")
else(${glx_val} EQUAL 0)
  message(STATUS "no test here")
endif(${glx_val} EQUAL 0)

=== debian/changelog ===
ros-indigo-pr2-gazebo-plugins (2.0.7-0trusty) trusty; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- John Hsu <hsu@osrfoundation.org>  Mon, 14 Dec 2015 16:27:35 -0000

ros-indigo-pr2-gazebo-plugins (2.0.5-0trusty) trusty; urgency=high

  * Removed dependency on PCL for pr2_Gazebo_plugins
  * Contributors: TheDash

 -- John Hsu <hsu@osrfoundation.org>  Fri, 13 Mar 2015 04:00:00 -0000

ros-indigo-pr2-gazebo-plugins (2.0.4-0trusty) trusty; urgency=high



 -- John Hsu <hsu@osrfoundation.org>  Wed, 11 Feb 2015 05:00:00 -0000

ros-indigo-pr2-gazebo-plugins (2.0.3-0trusty) trusty; urgency=high

  * Changelogs
  * Changelogs
  * Contributors: TheDash
  * Changelogs
  * Contributors: TheDash

 -- John Hsu <hsu@osrfoundation.org>  Tue, 07 Oct 2014 04:00:00 -0000

=== debian/control ===
Source: ros-indigo-pr2-gazebo-plugins
Section: misc
Priority: extra
Maintainer: John Hsu <hsu@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), gazebo2, ros-indigo-angles, ros-indigo-catkin, ros-indigo-cv-bridge, ros-indigo-diagnostic-msgs, ros-indigo-diagnostic-updater, ros-indigo-driver-base, ros-indigo-gazebo-msgs, ros-indigo-gazebo-plugins, ros-indigo-geometry-msgs, ros-indigo-image-transport, ros-indigo-message-generation, ros-indigo-message-runtime, ros-indigo-nav-msgs, ros-indigo-orocos-kdl, ros-indigo-polled-camera, ros-indigo-pr2-controller-manager, ros-indigo-pr2-hardware-interface, ros-indigo-pr2-mechanism-model, ros-indigo-pr2-msgs, ros-indigo-roscpp, ros-indigo-rospy, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-std-srvs, ros-indigo-tf, ros-indigo-urdf
Homepage: http://ros.org/wiki/pr2_gazebo_plugins
Standards-Version: 3.9.2

Package: ros-indigo-pr2-gazebo-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gazebo2, ros-indigo-angles, ros-indigo-cv-bridge, ros-indigo-diagnostic-msgs, ros-indigo-diagnostic-updater, ros-indigo-driver-base, ros-indigo-gazebo-msgs, ros-indigo-gazebo-plugins, ros-indigo-gazebo-ros, ros-indigo-geometry-msgs, ros-indigo-image-transport, ros-indigo-message-generation, ros-indigo-message-runtime, ros-indigo-nav-msgs, ros-indigo-orocos-kdl, ros-indigo-polled-camera, ros-indigo-pr2-controller-manager, ros-indigo-pr2-hardware-interface, ros-indigo-pr2-mechanism-model, ros-indigo-pr2-msgs, ros-indigo-roscpp, ros-indigo-rospy, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-tf, ros-indigo-urdf
Description: Gazebo Plugins for various PR2-specific sensors and actuators on the robot.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-pr2-gazebo-plugins//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
